Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.owl_rdf
Class RenderingVisitor

    java.lang.Object
      |
      +--org.semanticweb.owl.model.helper.OWLObjectVisitorAdapter
            |
            +--org.semanticweb.owl.io.owl_rdf.RenderingVisitor

All Implemented Interfaces:
  OWLObjectVisitor, RenderingConstants

public class RenderingVisitor
extends OWLObjectVisitorAdapter
implements RenderingConstants

RenderingVisitor.java Created: Fri Feb 21 10:57:24 2003

Version:
  $Id: RenderingVisitor.java,v 1.5 2004/02/05 17:55:50 sean_bechhofer Exp $

Field Summary

Fields inherited from interface org.semanticweb.owl.io.owl_rdf.RenderingConstants
`INDENT`

Constructor Summary
`RenderingVisitor()`
`RenderingVisitor(Renderer renderer)`

Method Summary
`void` | `reset()`
`String` | `result()`
`void` | `setLevel(int i)` Set the level that this renderer should start indenting at.
`void` | `visit(OWLAnd and)`
`void` | `visit(OWLClass clazz)`
`void` | `visit(OWLDataAllRestriction restriction)`
`void` | `visit(OWLDataCardinalityRestriction restriction)`
`void` | `visit(OWLDataEnumeration enumeration)`
`void` | `visit(OWLDataProperty prop)`
`void` | `visit(OWLDataSomeRestriction restriction)`
`void` | `visit(OWLDataType datatype)`
`void` | `visit(OWLDataValueRestriction restriction)`
`void` | `visit(OWLDisjointClassesAxiom axiom)`
`void` | `visit(OWLEnumeration enumeration)`
`void` | `visit(OWLEquivalentClassesAxiom axiom)`
`void` | `visit(OWLEquivalentPropertiesAxiom axiom)`
`void` | `visit(OWLIndividual ind)`
`void` | `visit(OWLNot not)`
`void` | `visit(OWLObjectAllRestriction restriction)`
`void` | `visit(OWLObjectCardinalityRestriction restriction)`
`void` | `visit(OWLObjectProperty prop)`
`void` | `visit(OWLObjectSomeRestriction restriction)`
`void` | `visit(OWLObjectValueRestriction restriction)`
`void` | `visit(OWLOr or)`
`void` | `visit(OWLSubClassAxiom axiom)`
`void` | `visit(OWLSubPropertyAxiom axiom)`

Methods inherited from class org.semanticweb.owl.model.helper.OWLObjectVisitorAdapter
`visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderingVisitor

    public RenderingVisitor(Renderer renderer)

### RenderingVisitor

    public RenderingVisitor()

Method Detail

### setLevel

    public void setLevel(int i)

  Set the level that this renderer should start indenting at.

### result

    public String result()

### reset

    public void reset()

### visit

    public void visit(OWLClass clazz)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLIndividual ind)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLEquivalentPropertiesAxiom axiom)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLObjectProperty prop)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLDataProperty prop)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLAnd and)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLOr or)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLNot not)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLEnumeration enumeration)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLObjectSomeRestriction restriction)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLObjectAllRestriction restriction)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLObjectValueRestriction restriction)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLObjectCardinalityRestriction restriction)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLDataSomeRestriction restriction)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLDataAllRestriction restriction)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLDataValueRestriction restriction)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLDataCardinalityRestriction restriction)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLDataType datatype)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLDataEnumeration enumeration)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLEquivalentClassesAxiom axiom)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLDisjointClassesAxiom axiom)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLSubClassAxiom axiom)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

### visit

    public void visit(OWLSubPropertyAxiom axiom)
               throws OWLException

  Specified by:
    `visit` in interface `OWLObjectVisitor`
  Overrides:
    `visit` in class `OWLObjectVisitorAdapter`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb